# -------------------------------------------------
#  問題解決のためのRとJAGS: 
#  小中高で学ぶ統計からベイズ統計、サンプルサイズまで.
# -------------------------------------------------
#  Copyright © 2018年 山村吉信. All rights reserved.
# -------------------------------------------------
rm(list=ls())
library(rjags)
library(MASS)
x <- survey$Height
y <- na.omit(x)
n <- length(y); n
tau <- 1/(10 * 10)
dataList <- list("y"=y, "n"=n, "tau"=tau)
parameters <- c("mu")
adaptSteps = 500 
burnInSteps = 1000 
nChains = 3 
numSavedSteps=50000 
thinSteps=1  
nIter = ceiling( ( numSavedSteps * thinSteps ) / nChains ) 
jagsModel = jags.model( "m0505a.txt", data=dataList, 
n.chains=nChains, n.adapt=adaptSteps )
update( jagsModel, n.iter=burnInSteps )
codaSamples = coda.samples( jagsModel, 
variable.names=parameters, 
n.iter=nIter, thin=thinSteps )
summary(codaSamples)
plot(codaSamples)
# -------------------------------------------------
